List models
GET/v1/models
List models
curl https://api.cadenya.com/v1/models \
-H "Authorization: Bearer $CADENYA_API_KEY"{
"items": [
{
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"name": "name",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"spec": {
"family": "family",
"inputPricePerMillionTokens": "inputPricePerMillionTokens",
"maxInputTokens": 0,
"maxOutputTokens": 0,
"outputPricePerMillionTokens": "outputPricePerMillionTokens",
"provider": "provider",
"status": "MODEL_STATUS_UNSPECIFIED"
}
}
],
"pagination": {
"nextCursor": "nextCursor",
"total": 0
}
}Returns Examples
{
"items": [
{
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"name": "name",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"spec": {
"family": "family",
"inputPricePerMillionTokens": "inputPricePerMillionTokens",
"maxInputTokens": 0,
"maxOutputTokens": 0,
"outputPricePerMillionTokens": "outputPricePerMillionTokens",
"provider": "provider",
"status": "MODEL_STATUS_UNSPECIFIED"
}
}
],
"pagination": {
"nextCursor": "nextCursor",
"total": 0
}
}